/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package dialogs;

@SuppressWarnings("serial")
public class PaneLatexInsertionCaractereMath extends PaneInsertionCaractere {

	public PaneLatexInsertionCaractereMath() {
		super(5); // 6 caractres par ligne
		MtgCharButtonLatex button = new MtgCharButtonLatex(0x00d7, "\\times ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2200, "\\forall ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2203, "\\exists ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2205, "\\emptyset ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2207, "\\nabla ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2209, "\\notin ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x220A, "\\in ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x220D, "\\ni ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x220F, "\\prod ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2211, "\\sum ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x221e, "\\infty ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2227, "\\wedge ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2228, "\\vee ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2229, "\\cap ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x222A, "\\cup ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x222b, "\\int ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x223c, "\\sim ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2245, "\\cong ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2248, "\\approx ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2260, "\\ne ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2261, "\\equiv ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2264, "\\le ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2265, "\\ge ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2282, "\\subset ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2283, "\\supset ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2286, "\\subseteq ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2287, "\\supseteq ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2113, "\\ell ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x22A5, "\\per ", this);
		ajouteBouton(button);
		button = new MtgCharButtonLatex(0x2295, "\\oplus ", this);
		ajouteBouton(button);
	}

}
