/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package dialogs;

import mathgraph32.MtgFrame;

@SuppressWarnings("serial")
public class ChoixPrototypePredefiniDlg extends ChoixPrototypeDansRepertoireDlg {
		
  public ChoixPrototypePredefiniDlg(MtgFrame frameInit) {
    super (frameInit);
  }
  
  /**
   * On travaille dans le dossier contenant les constructions fournies avec le logiciel
   * @return
   */
  @Override
  protected String path() {
  	return frame.pathJar() + "Help" + frame.pref_langage + "/Constructions/";
  }

}
