/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package dialogs;

@SuppressWarnings("serial")
public class PaneInsertionCaractereGrec extends PaneInsertionCaractere {

	/**
	 * panneau permettant d'insrer des caractres grecs dans un champ d'dition
	 * En cas de modification, les rpercuter dans FonteNom.lettre()
	 */
	public PaneInsertionCaractereGrec() {
		super(6); // 6 caractres par ligne
		for (int i = 0; i <= 7; i++) ajouteCar(0x3b1 + i);
		ajouteCar(0x3b1 + 10);
		ajouteCar(0x3b1 + 11);
		ajouteCar(0x3b1 + 13);
		for (int i = 15; i <= 19; i++) ajouteCar(0x3b1 + i);
		for (int i = 21; i <= 24; i++) ajouteCar(0x3b1 + i);
		for (int i = 2; (i <= 3); i++) ajouteCar(0x391 + i);
		ajouteCar(0x391 + 15);
		for (int i = 18; (i <= 19); i++) ajouteCar(0x391 + i);
		for (int i = 21; (i <= 24); i++) ajouteCar(0x391 + i);		
	}
}
